﻿
.switch, .switch * {
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none
}

	.switch label {
		cursor: pointer
	}

		.switch label input[type=checkbox] {
			opacity: 0;
			width: 0;
			height: 0
		}

			.switch label input[type=checkbox]:checked + .lever {
				background-color: #7faff7 ; /*#f77f8f*/
			}

				.switch label input[type=checkbox]:checked + .lever:before, .switch label input[type=checkbox]:checked + .lever:after {
					left: 18px
				}

				.switch label input[type=checkbox]:checked + .lever:after {
					background-color: #0076ad ; /*#fe3c61*/
				}

		.switch label .lever {
			content: "";
			display: inline-block;
			position: relative;
			width: 25px;
			height: 9px;
			background-color: rgba(0,0,0,0.20);
			border-radius: 15px;
			margin-right: 10px;
			-webkit-transition: background 0.3s ease;
			transition: background 0.3s ease;
			vertical-align: middle;
			margin: 0 16px;
		}

			.switch label .lever:before, .switch label .lever:after {
				content: "";
				position: absolute;
				display: inline-block;
				width: 15px;
				height: 15px;
				border-radius: 50%;
				left: 0;
				top: -3px;
				-webkit-transition: left 0.3s ease, background .3s ease, -webkit-box-shadow 0.1s ease, -webkit-transform .1s ease;
				transition: left 0.3s ease, background .3s ease, -webkit-box-shadow 0.1s ease, -webkit-transform .1s ease;
				transition: left 0.3s ease, background .3s ease, box-shadow 0.1s ease, transform .1s ease;
				transition: left 0.3s ease, background .3s ease, box-shadow 0.1s ease, transform .1s ease, -webkit-box-shadow 0.1s ease, -webkit-transform .1s ease;
			}

			.switch label .lever:before {
				background-color: rgba(38,166,154,0.15)
			}

			.switch label .lever:after {
				background-color: #F1F1F1;
				-webkit-box-shadow: 0px 3px 1px -2px rgba(0,0,0,0.2),0px 2px 2px 0px rgba(0,0,0,0.14),0px 1px 5px 0px rgba(0,0,0,0.12);
				box-shadow: 0px 3px 1px -2px rgba(0,0,0,0.2),0px 2px 2px 0px rgba(0,0,0,0.14),0px 1px 5px 0px rgba(0,0,0,0.12)
			}

input[type=checkbox]:checked:not(:disabled) ~ .lever:active::before, input[type=checkbox]:checked:not(:disabled).tabbed:focus ~ .lever::before {
	-webkit-transform: scale(2.4);
	transform: scale(2.4);
	background-color: rgba(38,166,154,0.15)
}

input[type=checkbox]:not(:disabled) ~ .lever:active:before, input[type=checkbox]:not(:disabled).tabbed:focus ~ .lever::before {
	-webkit-transform: scale(2.4);
	transform: scale(2.4);
	background-color: rgba(0,0,0,0.08)
}

.switch input[type=checkbox][disabled] + .lever {
	cursor: default;
	background-color: rgba(0,0,0,0.12)
}

.switch label input[type=checkbox][disabled] + .lever:after, .switch label input[type=checkbox][disabled]:checked + .lever:after {
	background-color: #949494
}
